## Class Auth_Yadis_XRDS

Description

This class performs parsing of XRDS documents.

You should not instantiate this class directly; rather, call parseXRDS statically:

      $xrds = Auth_Yadis_XRDS::parseXRDS($xml_string);

If the XRDS can be parsed and is valid, an instance of Auth_Yadis_XRDS will be returned. Otherwise, null will be returned. This class is used by the Auth_Yadis_Yadis::discover method.

Located in /Auth/Yadis/XRDS.php (line 252)

Method Summary
Auth_Yadis_XRDS Auth_Yadis_XRDS ( &$xmlParser, &$xrdNodes)
mixed &parseXRDS (string $xml_string, [ $extra_ns_map = null])
mixed services ([mixed $filters = null], [integer $filter_mode = SERVICES_YADIS_MATCH_ANY])
Methods
Constructor Auth_Yadis_XRDS (line 258)

Instantiate a Auth_Yadis_XRDS object. Requires an XPath instance which has been used to parse a valid XRDS document.

Auth_Yadis_XRDS Auth_Yadis_XRDS ( &$xmlParser, &$xrdNodes)

- &$xmlParser
- &$xrdNodes

parseXRDS (line 276)

Parse an XML string (XRDS document) and return either a Auth_Yadis_XRDS object or null, depending on whether the XRDS XML is valid.

- return: An instance of Auth_Yadis_XRDS or null, depending on the validity of $xml_string

mixed &parseXRDS (string $xml_string, [ $extra_ns_map = null])

- string $xml_string: An XRDS XML string.
- $extra_ns_map

services (line 393)

Returns a list of service objects which correspond to <Service> elements in the XRDS XML document for this object.

Optionally, an array of filter callbacks may be given to limit the list of returned service objects. Furthermore, the default mode is to return all service objects which match ANY of the specified filters, but $filter_mode may be SERVICES_YADIS_MATCH_ALL if you want to be sure that the returned services match all the given filters. See Auth_Yadis_Yadis for detailed usage information on filter functions.

- return: An array of Auth_Yadis_Service objects if $filter_mode is a valid mode; null if $filter_mode is an invalid mode (i.e., not SERVICES_YADIS_MATCH_ANY or SERVICES_YADIS_MATCH_ALL).

mixed services ([mixed $filters = null], [integer $filter_mode = SERVICES_YADIS_MATCH_ANY])

- mixed $filters: An array of callbacks to filter the returned services, or null if all services are to be returned.
- integer $filter_mode: SERVICES_YADIS_MATCH_ALL or SERVICES_YADIS_MATCH_ANY, depending on whether the returned services should match ALL or ANY of the specified filters, respectively.

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2